Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Data Points

Get DataPoints
GET /dataSets/{dataSetId}/dataPoints
https://api.relesysapp.net/api/v1.4/dataSets/{dataSetId}/dataPoints
Get a list of DataPoints by the DataSet Id
Scopes: relesys.api, relesys.api:read, relesys.api.kpis, relesys.api.kpis:read
URL Path
dataSetId string / guid required
Query String
dataValue double Filterable Sortable optional
departmentId string / guid Filterable optional
label string Filterable Sortable optional
timeStamp datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"label":"Highest Basket Size","timeStamp":"2020-01-19T22:00:00+00:00","value":1337.0,"departmentId":"379be369-8667-47a1-a10f-ab787b373eaa","userId":"59a68f59-89b1-4736-b065-7f20f052e65b"},{"label":"NPS","timeStamp":"2020-01-19T22:00:00+00:00","value":0.9,"departmentId":"3ebfe140-7229-48ac-a701-6a0862db379b","userId":"696d3e42-e657-46d0-ade9-6fae183c924a"}]}
object
  count integer      
  ⯈ data array[object]      
   departmentId string / guid      
   label string      
   timeStamp datetimeoffset      
   userId string / guid      
   value double      
  nextUrl string      
  previousUrl string